org.eclipse.ecf.core.sharedobject.events

## Interface IContainerSharedObjectMessageReceivingEvent

All Superinterfaces:
  Event, IContainerEvent

All Known Implementing Classes:
  ContainerSharedObjectMessageReceivingEvent

    public interface IContainerSharedObjectMessageReceivingEvent
    extends IContainerEvent

Container event that indicates that a shared object message is being received.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getMessage()` Get the message being sent.
`ID` `getSendingContainerID()` Get the sending container ID for the message being sent.
`ID` `getSharedObjectID()` Get the shared object ID of the sending shared object.

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

### Method Detail

#### getSendingContainerID

    ID getSendingContainerID()

Get the sending container ID for the message being sent.

Returns:
  ID of sending container for the message being sent. Will not be `null`.

#### getSharedObjectID

    ID getSharedObjectID()

Get the shared object ID of the sending shared object. This value will not be `null` and the ID given will be the ID of a currently active shared object existing within the enclosing container.

Returns:
  ID of the shared object that is sending the message. Will not be `null`.

#### getMessage

    Object getMessage()

Get the message being sent. This will return the message being sent by the shared object identified by `getSharedObjectID()`. May be `null` if null is being sent.

Returns:
  Object the message being sent by the shared object identified via `getSharedObjectID()`. May be `null`.